Skip to main content
GET
Get record by ID

Authorizations

Authorization
string
header
required

Enter your Zite API key. Format: Bearer <api_key>

Path Parameters

databaseId
string
required

The unique identifier of the database

tableId
string
required

The unique identifier of the table.

recordId
string<uuid>
required

The UUID of the record

Query Parameters

fields
string

Optional list of field names or IDs to return, as a comma-separated string or a JSON array. Omit to return every field.

Response

Record details

id
string<uuid>
required

Unique UUID identifier for the record

data
object
required

Record data with field IDs as keys

Example:
fields
object
required

Record data with field names as keys

Example:
createdAt
string<date-time>
required

ISO timestamp of when the record was created

updatedAt
string<date-time>
required

ISO timestamp of when the record was last updated